%global modulescope @babel
%global modulename @babel/highlight

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-babel-highlight
Version:        7.0.0
Release:        1%{?dist}
Summary:        Syntax highlight JavaScript strings for output in terminals.

License:        MIT
URL:            https://babeljs.io/
Source0:        https://registry.npmjs.org/@babel/highlight/-/highlight-7.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(chalk) >= 2.0.0 with npmlib(chalk) < 3.0.0))
BuildRequires:  ((npmlib(esutils) >= 2.0.2 with npmlib(esutils) < 3.0.0))
BuildRequires:  ((npmlib(js-tokens) >= 4.0.0 with npmlib(js-tokens) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Syntax highlight JavaScript strings for output in terminals.

%package 7.0.0
Summary:        Syntax highlight JavaScript strings for output in terminals.


%description 7.0.0
Syntax highlight JavaScript strings for output in terminals.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
mkdir %{buildroot}%{nodejs_dir}/%{modulescope}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}
%dir %{nodejs_dir}/%{modulescope}

%files 7.0.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/
%dir %{npmlib_dir}/%{modulescope}

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 7.0.0-1
- Package automatically generated by npm2srpm
